GET
/api/gateway/v2/contentblock/getbyidGet a content block by its unique reference ID. Returns the content block with all nested children and localized content for the current user's language. Falls back to default language if the user's language is not available.
Query Parameters
id*string
The unique reference ID of the content block
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/gateway/v2/contentblock/getbyid?id=string"{ "id": "string", "zone": "string", "sortOrder": 0, "component": { "id": "string", "name": "string", "displayName": "string", "category": "string", "icon": "string" }, "fields": { "property1": { "label": "string", "fieldType": "Text", "value": null, "values": [ null ] }, "property2": { "label": "string", "fieldType": "Text", "value": null, "values": [ null ] } }, "children": [ { "id": "string", "zone": "string", "sortOrder": 0, "component": { "id": "string", "name": "string", "displayName": "string", "category": "string", "icon": "string" }, "fields": { "property1": { "label": "string", "fieldType": "Text", "value": null, "values": [ null ] }, "property2": { "label": "string", "fieldType": "Text", "value": null, "values": [ null ] } }, "children": [] } ]}{ "type": "string", "title": "string", "status": 0, "detail": "string", "instance": "string", "extensions": { "property1": null, "property2": null }, "errors": { "property1": [ "string" ], "property2": [ "string" ] }, "property1": null, "property2": null}{ "type": "string", "title": "string", "status": 0, "detail": "string", "instance": "string", "extensions": { "property1": null, "property2": null }, "property1": null, "property2": null}GET
/api/gateway/v2/contentblock/getbyzoneGet all root-level content blocks for a specific zone. Returns content blocks sorted by their sort order, with all nested children and localized content for the current user's language. Falls back to default language if the user's language is not available.
Query Parameters
zone*|
The zone identifier (e.g., "header", "footer", "sidebar")
Response Body
application/json
application/json
curl -X GET "https://example.com/api/gateway/v2/contentblock/getbyzone?zone=string"[ { "id": "string", "zone": "string", "sortOrder": 0, "component": { "id": "string", "name": "string", "displayName": "string", "category": "string", "icon": "string" }, "fields": { "property1": { "label": "string", "fieldType": "Text", "value": null, "values": [ null ] }, "property2": { "label": "string", "fieldType": "Text", "value": null, "values": [ null ] } }, "children": [ { "id": "string", "zone": "string", "sortOrder": 0, "component": { "id": "string", "name": "string", "displayName": "string", "category": "string", "icon": "string" }, "fields": { "property1": { "label": "string", "fieldType": "Text", "value": null, "values": [ null ] }, "property2": { "label": "string", "fieldType": "Text", "value": null, "values": [ null ] } }, "children": [] } ] }]{ "type": "string", "title": "string", "status": 0, "detail": "string", "instance": "string", "extensions": { "property1": null, "property2": null }, "errors": { "property1": [ "string" ], "property2": [ "string" ] }, "property1": null, "property2": null}